YUM update conflict librabbitmq

updates
v7

(Hector Perez) #1

yum clean all

[root@nethserver ~]# yum clean all
Loaded plugins: auto-update-debuginfo, changelog, fastestmirror,
: nethserver_events
Cleaning repos: base centos-sclo-rh centos-sclo-sclo epel extras nethforge
: nethserver-base nethserver-updates ocsinventory
: packages-microsoft-com-mssql-server-2017
: packages-microsoft-com-prod remi-safe stephdl updates
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos
Cleaning up list of fastest mirrors

yum update
[root@nethserver ~]# yum update
Loaded plugins: auto-update-debuginfo, changelog, fastestmirror,
: nethserver_events
Determining fastest mirrors
epel/x86_64/metalink | 4.1 kB 00:00

  • base: mirror.edatel.net.co
  • epel: mirror.ci.ifes.edu.br
  • epel-debuginfo: sjc.edge.kernel.org
  • extras: mirror.ufscar.br
  • nethforge: ketrax.eu
  • nethserver-base: ketrax.eu
  • nethserver-updates: ketrax.eu
  • remi-safe: mirror.veriteknik.net.tr
  • updates: mirror.edatel.net.co
    base | 3.6 kB 00:00
    centos-sclo-rh | 3.0 kB 00:00
    centos-sclo-sclo | 2.9 kB 00:00
    epel | 3.2 kB 00:00
    extras | 3.4 kB 00:00
    nethforge | 4.0 kB 00:00
    nethserver-base | 2.9 kB 00:00
    nethserver-updates | 4.1 kB 00:00
    ocsinventory | 2.9 kB 00:00
    packages-microsoft-com-mssql-server-2017 | 2.9 kB 00:00
    packages-microsoft-com-prod | 2.9 kB 00:00
    remi-safe | 2.9 kB 00:00
    stephdl | 2.9 kB 00:00
    updates | 3.4 kB 00:00
    (1/19): base/7/x86_64/group_gz | 166 kB 00:00
    (2/19): epel/x86_64/group_gz | 88 kB 00:00
    (3/19): epel/x86_64/updateinfo | 931 kB 00:00
    (4/19): extras/7/x86_64/primary_db | 149 kB 00:00
    (5/19): base/7/x86_64/primary_db | 5.9 MB 00:01
    (6/19): nethforge/7/x86_64/primary_db | 15 kB 00:00
    (7/19): centos-sclo-sclo/x86_64/primary_db | 281 kB 00:01
    (8/19): nethforge/7/x86_64/group_gz | 1.1 kB 00:01
    (9/19): nethserver-updates/7/x86_64/group_gz | 20 kB 00:01
    (10/19): nethserver-updates/7/x86_64/primary_db | 31 kB 00:00
    (11/19): ocsinventory/x86_64/primary_db | 25 kB 00:00
    (12/19): centos-sclo-rh/x86_64/primary_db | 3.5 MB 00:03
    (13/19): nethserver-base/7/x86_64/primary_db | 296 kB 00:01
    (14/19): packages-microsoft-com-mssql-server-2017/primary_ | 12 kB 00:00
    (15/19): updates/7/x86_64/primary_db | 2.0 MB 00:00
    (16/19): packages-microsoft-com-prod/primary_db | 116 kB 00:00
    (17/19): stephdl/7/primary_db | 141 kB 00:00
    (18/19): remi-safe/primary_db | 1.2 MB 00:00
    (19/19): epel/x86_64/primary | 3.5 MB 00:03
    epel 12583/12583
    Resolving Dependencies
    –> Running transaction check
    —> Package librabbitmq.x86_64 0:0.5.2-1.el7 will be updated
    –> Processing Dependency: librabbitmq(x86-64) = 0.5.2 for package: librabbitmq-tools-0.5.2-1.el7.x86_64
    –> Processing Dependency: librabbitmq.so.1()(64bit) for package: librabbitmq-tools-0.5.2-1.el7.x86_64
    —> Package librabbitmq.x86_64 0:0.8.0-2.el7 will be an update
    –> Finished Dependency Resolution
    Error: Package: librabbitmq-tools-0.5.2-1.el7.x86_64 (@epel)
    Requires: librabbitmq(x86-64) = 0.5.2
    Removing: librabbitmq-0.5.2-1.el7.x86_64 (@epel)
    librabbitmq(x86-64) = 0.5.2-1.el7
    Updated By: librabbitmq-0.8.0-2.el7.x86_64 (base)
    librabbitmq(x86-64) = 0.8.0-2.el7
    Error: Package: librabbitmq-tools-0.5.2-1.el7.x86_64 (@epel)
    Requires: librabbitmq.so.1()(64bit)
    Removing: librabbitmq-0.5.2-1.el7.x86_64 (@epel)
    librabbitmq.so.1()(64bit)
    Updated By: librabbitmq-0.8.0-2.el7.x86_64 (base)
    ~librabbitmq.so.4()(64bit)
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

signal-event firewall-adjust && echo OK
OK


Samba is not working (SSSD accountsprovider error)
(Zimny) #2

Hi can you just advise how did you perform installation?
LIVE CD from NS website or you install NS in existing CentOS installation if so if that was clean installation or server used for something else in past?


(Hector Perez) #3

Hi zimny.
I installed NS 7.3, then upgraded 7.4, then 7.5, the server is used as webserver, and in the near future will be used as a central server (Web,SAMBA,Firewall,Chat) every thing in one place.


(Markus Neuberger) #4

Do you have onlyoffice installed? It’s a dependency problem. Please uninstall it and uninstall documentserver, then update your system and install the new documentserver package:

https://wiki.nethserver.org/doku.php?id=onlyoffice#documentserver_514


(Hector Perez) #5

Ok after the upgrade it was problems with mrmarkus repositories jejejej :smiley:

[root@nethserver ~]# yum remove onlyoffice-documentserver.x86_64
[root@nethserver ~]# yum remove librabbitmq-tools

then

yum -y install https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm

The link is broken, I can reach


But cannot reach https://github.com/ONLYOFFICE/DocumentServer/releases at least it is a contrib uncontributed ejeje :wink:


(Markus Neuberger) #6

I tried it now and it’s downloadable:

https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm

See also:

Please don’t blame me :grin:, it was a change in upstream and the old documentserver package had the wrong dependency, it had nothing to do with the repo…

EDIT:

Oh, I forgot that there was a domain name change on my repo, I’m sorry for that. :blush:
Please try to update the repo as @dnutan suggested…


(Marc) #7

Links working fine on this side.
Replicated the problem. Found it was described in another thread (probably librabbitmq merged packages on centos repo) and the dependency fixed in this onlyoffice issue (package no longer required by onlyoffice).

Updated mrmarkuz repo on my test server. Then:

[root@server ~]# rpm -q --whatrequires librabbitmq-tools
onlyoffice-documentserver-5.1.1-23.x86_64
[root@server ~]# yum -y install https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm
[root@server ~]# rpm -q --whatrequires librabbitmq-tools
no package requires librabbitmq-tools
[root@server ~]# yum remove librabbitmq-tools
[root@server ~]# signal-event nethserver-onlyoffice-update

(Hector Perez) #8

From here I have this response:

[root@nethserver ~]# yum -y install https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm
Loaded plugins: auto-update-debuginfo, changelog, fastestmirror,
: nethserver_events
Cannot open: https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm. Skipping.


(Marc) #9

Can the server ping github?
Does is work downloading it with wget or curl?

curl -O https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm

or

wget https://github.com/ONLYOFFICE/DocumentServer/releases/download/ONLYOFFICE-DocumentServer-5.1.4/onlyoffice-documentserver.x86_64.rpm

(Hector Perez) #10

[root@nethserver ~]# ping github.com
PING github.com (192.30.253.112) 56(84) bytes of data.
64 bytes from lb-192-30-253-112-iad.github.com (192.30.253.112): icmp_seq=1 ttl=55 time=82.1 ms
64 bytes from lb-192-30-253-112-iad.github.com (192.30.253.112): icmp_seq=2 ttl=55 time=79.2 ms

It is not working, like URL is not reachable.

EDIT: Like in Colombia is not reachable.


(Markus Neuberger) #11

I uploaded it to one of my servers:

http://mrmarkuz.goip.de/mirror/documentserver/onlyoffice-documentserver.x86_64.rpm

Maybe there are problems with downloading bigger files?


(Hector Perez) #12

This time was the proxy. (i had to setup it because the firewall was blocking sssd) now everthing goes fine.

Thanks a lot.